Imports System.Net
Imports System.IO

Public Class Form1

    Private Sub cmdRead_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cmdRead.Click
        Me.Cursor = Cursors.WaitCursor

        Dim PageRequest As HttpWebRequest = WebRequest.Create(txtURL.Text)
        Dim PageResponse As WebResponse = PageRequest.GetResponse()
        Dim PageReader As New StreamReader(PageResponse.GetResponseStream())
        Dim PageString As String = PageReader.ReadToEnd()
        PageReader.Close()
        txtHTML.Text = PageString

        Me.Cursor = Cursors.Default
    End Sub
End Class
